vtigerCRM v4.2.4 (Jun 1, 2006)
-------------------------------

NOTE: first time vtigerCRM users can directly install the source in their vtiger supported version of LAMP / WAMP. 

bug fixes
---------

r3606: Issue in Pop-up New link which caused elements to disappear when hovering over ">>"
r3607: Display currency symbol in listview header
r3608: Added dash after Potential Name when converting from Lead
r3609: Start/End date options in Custom View
r3614: utils.php call time pass reference error
r3615: fix for totals in reports not showing up
r3616: PearDatabase.php call time pass reference
r3617: Signatures are double-spaced in e-mails
r3618: vendor search has a field "company" .but vendor form does not have company field
r3619: "Email" mapping added for new search field
r3773: Search leads by Fax in advanced search
r3775: Order pending activities by date and time
r3776: Allow more lead columns to be sorted
r3777: Import CSV files with CR as line ending
r3779: Set memory limit higher than 8mb
r3783: removing schtasks.exe from source cron directory
r3784: move DatabaseSchema.xml out of adodb/ into new schema/ directory
r3787: Emails that contain HTML characters cause bad display in the Reply, Reply to All buttons area
r3789: My Group Allocation on the Home page does not have a border on the right edge
r3790: When switching from Email to Webmails and back to Emails, the tabs are drawn incorrectly
r3792: Products listed in the Help Desk custom views display the record ID instead of the Product Name
r3794: Missing border on Home module with more than 5 tickets open
r3795: Remove readonly attribs from installer db form fields
r3796: when we display fieldlabels, the label will not be displayed if there is a special character(like &)
r3803: copyright / license cleanup
r3809: install cleanup
r3811: unified naming scheme to vtigerCRM files
r3824: split README with Changelog
r3831: fix extraneous colon character appearing in installer stage 3 next to database name
r3833: add template for config file and 4.2.3 sql file
r3834: add config file for FHS system
r3868: update to jpgraph-1.20.3
r3869: rename db_host_name and db_user_name to db_hostname and db_username
r3871: move columns for sunday and week number to the right
r3872: Fix Home Ticket List is Colored Opposite of Other Sections
r3873: Fix html emails sent with tags viewable
r3874: fixed time shift occuring if the calendar view spans a time change (daylight saving switch) 
r3875: removed magic quotes check on input sanitization as magic quotes are removed on all input in the index.php file
r3876: Apostrophe in description of Lead means that the lead is lost upon converting
r3877: Don't die 'Couldn't get the group listing'
r3878: fix direct calls to mysql functions
r3879: Fix activities relatedlist won't display well if translated
r3891: Fix missing "break" in OpenListView.php CASE statement
r3892: Show rendered html instead of tags in notes editor
r3911: update to adodb-4.72
r3912: Fix Quotes/Invoices/Orders Do Not Support Negative Adjustments
r3914: add file to extract adodb XML schema from database
r3915: remove unused code in extractSchema
r3931: port constraints & table type hack for AXMLS from 4.55 to 4.72
r3932: Add indexes & fix FK name collisions in DB XML Schema
r3933: Remove foreign keys that point to missing fields
r3934: remove duplicate indexes in database
r3935: turn on adodb and AXMLS debugging during install
r3937: installer use template file
r3938: Put vtiger version and release date only in vtigerversion.php
r3940: config.inc.php is configuration file included by config.php
r3941: added missing parameters in template file
r3942: create install/5createTables.inc.php and modify install.php to use it when called from the command line
r3943: output one less line to compensate for create_default_users().  see #40
r3945: fix scope issue in getUserFldArray()
r3966: remove old unused modules and files
r4051: Remove hard coded upload limits
r4057: changes made to support multiple packaging
r4058: reduce memory usage in lead attachment upload code
r4059: reduce adodb memory usage to enable larger BLOB uploads
r4392: clean up uninitialized var notice while importing leads ref #70
r4394: disable installer after successful install for security reasons.  closes #25
r4397: Patch forUnicode-readyAlphabeticalSearch(), by justoff.
r4399: Jpgraph fixes for Traditional Chinese, by kiange. closes #37
r4400: Fix quotes are not created correctly form Potentials or from Quote screen, by onwealdandy. closes #51
r4401: Translate of hard code by Summing columns in reports, by kleo. closes #54
r4402: urlencode the downloading filename to deal with special characters, by mcrowe. closes #64
r4443: expand lead street field to match street maxlen in contacts
r5079: Detect if the key metric is for a sub module and set the partent module and appropriate sub module code when needed. Closes #93.
r5113: Added inital condition check before looping through the parts list.  Closes #96.
r6804: $host_name doesn't appear to be used anywhere, removing from configureation.  Closes #68.



vtigerCRM v4.2.3 (Dec 23, 2005)
-------------------------------

vulnerability fixes
-------------------

Posted by D.Fabian / SEC-CONSULT / www.sec-consult.com

a) Multiple SQL Injection Vulnerabilities
b) Cross Site Scripting
c) Path Traversal/File Disclosure
d) Arbitrary File Upload
e) Remote Code Execution

Posted by Christopher Kunz / www.hardened-php.net

a) Arbitrary File Upload
b) Authentication ByPass
c) Unsafe File Inclusion
d) Arbitrary code execution


vtigerCRM v4.2 Patch 2 (Sep 15, 2005)
-------------------------------------

code contributions by vtiger community
--------------------------------------

Thanks to Bela, Fredy, JLee, MikeCrowe, and Sholmi for their valuable contributions to the vtigerCRM development.

Following contributions were made at vtiger Discussions under "vtigerCRM - Code Contributions" forum:

1. T2025  - 2 bugs - JLee (Same as P8180 in vtiger Discussions " Little typo in function get_lead_feild_options")
2. T2324  - Modification to the Aqua theme - Bela (Note: We have included the fix for all the themes except blue theme)  
3. T2406  - Description spanned over all columns - Fredy
4. T2431  - Search by TicketId field in HelpDesk - Fredy
5. T2524  - Scrollable related lists - Fredy
6. P9578  - Import/Export Products - JLee
7. T2196  - Fix for World Clock Bug - JLee
8. T2139  - Bug in: EditView.html - Shlomi
9. T2000  - Add "Assigned To" as a choice when Importing - MikeCrowe
10. T1585 - Improved Calendar - Fredy
  
new features
------------

1. Import/Export Products
2. Scrollable List View for related Lists

bug fixes
---------

----------------------
http://bugs.vtiger.com
----------------------
S.No ID    Subject
----------------------
1.   67 - Inventory Mgmt Related List
2.   70 - Activities - Quick Create
3.   81 - Price Book - Select Product list price
4.   82 - Inventory Mgmt Related List Issue
5.   96 - Alignment is not proper for Total and sub total
6.  108 - Without entering any value in global search if we click on search then the n an empty page is displayed
7.  113 - Security UI not good enough
8.  114 - Better icons for the inv mgmt modules
9.  428 - User Signature Issue
10. 125 - UI for New Product creation not proper
11. 129 - Advanced search requires some fields (SF.Net ID: 
12. 131 - Sorting Name in Leads
13. 143 - Product related list in Activity can be removed
14. 149 - New Ticket Creation - Group empty
15. 160 - Modified time and created time are 0 in Add Business Card
16. 406 - Clock is dislocated after delete a record
17. 407 - HelpDesk quick create- title not saved
18. 408 - Activities CustomView contact not displayed
19. 409 - After mass delete FAQ control goes to HelpDesk
20. 410 - Footer alignment changed
21. 411 - New Event Creation
22. 405 - FAQ quick create
23. 412 - Security - Activity delete
24. 413 - Security - Default Organization for Activities
25. 414 - Field positioning Sales/Support Start dates
26. 415 - Inventory Related List
27. 416 - Inventory RL
28. 417 - Inventory RL - Activity History missing
29. 418 - Ticket - Create
30. 419 - Email - Edit View
31. 420 - Availability of user
32. 421 - Adding Products to Price book Validations
33. 422 - New Activity Creation - Group empty
34. 424 - History in Potential, PO, SO and Invoice
35. 425 - After delete tickets it displays empty list
36. 426 - Invoice Display in Home Page
37.  86 - File Size validation for the product image
38.  78 - Adding pricebook to products
39.  81 - IE 6 Pricebook Validations
 
--------------------------------
vtiger Discussions - Bug Tracker
--------------------------------
S.No ID        Subject
--------------------------------
40.  T1707   - Customer Portal language bug
41.  T2080   - Email doesn't work
42.  P8047   - Change Status Not Updating Modify Date
43.  P8004   - BUG modules/HelpDesk/Save.php
44.  P8301   - Additional Info to Helpdesk-Issue
45.  P8449   - Calendar icon missing at HelpDesk
46.  P8306   - Missing values in Cumulative Statistics
47.  T1802   - Still not possible to delete a contact - account relation
48.  T1398   - Issues in Contacts 
49.  T1694   - Email Editor Add Link doesn't work
50.  T1742   - Bug when assigning product from 2nd page to potential
51.  T2025   - 2 bugs
52.  T2313   - New Task Bug
53.  P8170   - Quotes popup trouble
54.  P8098   - Vendor pick list not working in Purchase order
55.  T1862   - Customize Quote Template
56.  P8159   - New Calendar Bug
57.  T2038   - Please fix these Bugs in 4.2
58.  T1696   - Accounts Website url fix
59.  T2003   - Pricebook bug 
60.  P8293   - Double entries in 'Default Organization Sharing Access'
61.  T2512   - Home upcoming activities
62.  P8030   - Meetings not held must not be shown in upcoming activities


vtigerCRM v4.2 Patch 1 (Aug 10, 2005)
-------------------------------------

new feature
-----------

Reports can be exported in Excel Format.

bug fixes
---------

1. Forum Post ID 6550: Can not add new product
2. SF ID1159916: settings-Company details 
3. SF ID1160084: Task - End Date 
4. SF ID1161317: date accept 0 value 
5. SF ID1161326: Lead Conversion 
6. Forum Topic ID 2038: Please fix these Bugs in 4.2
7. Internal: Make QuickActivityRegister have enddate(duedate)
8. Forum Topic ID 1696: Calendar bug fix for non-admin user
9. Forum Topic ID 1648: Converting a lead 
10. SF ID 1161344: probability is not validate if we give greater value 
11. Forum Topic ID 2223: Editing Company information
12. Interna: Calendar in Quick create in events
13. Forum Topic ID 1803: chips impossible to add more activity (task/event)
14. Forum Post ID 6733: Missing required field in New Event shortcut
15. Internal: Lead Conversion form validation
16. Forum Topic ID 2038:Please fix these Bugs in 4.2
17. SF ID 1161223: Export to PDF
18. Forum Topic ID 1693:Bad PDF output
19. Forum Topic ID 2012:Report Customization iNot working in IE
20. Forum Topic ID 1823: Translation Issue 2
21. Forum Topic ID 2038: Please fix these Bugs in 4.2
22. Internal: Invoice Qty & inventory issues in 4.2 GA
23. Forum Topic ID 1717: bug report in new sales order and PDF invoice on online demo
24. Internal: Inventory Mgmt
25. Internal: Detail View Ui for Products Relateion in inventory is imporper 
26. Internal: SO - Popup Account - table issue 
27. Internal: Notes - Cancel/ back 
28. Internal: No of Employees Field not validated 
29. Internal: Filling with Todays date 
30. Internal: Security - Default Organization for Activities 
31. Internal: Security - Activity delete 
32. Internal: Inventory Mgmt Logging 
33. Internal: URL and URL name 
34. Internal: Feild level access for task
35. Forum Topic ID 1823: Custom Date field not working?
36. Internal: Support for Text Area Custom Field
37. Forum Topic ID 1643: Any user can change onw role for admin role? 
38. Internal: Class not set in inventory product UI
39. Forum Topic ID 2258: Nasty security bug in latest 4.2!
40. Code Contribution: Indexing code by Microwe integrated
41. Internal: Title doesn't show up
42. Forum Topic ID 1997: Fixing bugs.
43. Forum Topic ID 822:Translation-Issue
44. Forum Topic ID 1768: Contact address pulled from Acccount
45. Forum Topic ID 1753: VtigerCRM 4.0 Character causing troubles
46. 1161351: Inventory Mgmt Related List 
47. 1161347: Inventory Related List 
48. 1161415:Contacts - Related Lists - Deleting Products
49. 1161406: Assigned ToUser in Leads can be Assigned to User
50. Forum Topic ID 2092: Product Popup in New Quotes
51. Forum Topic ID 1980: Account Pop Http 404 when pickup a account in New Sales Order
52. Forum Topic ID 2003: Pricebook bug
53. 1161337: Price Book Product Select
54. Forum Topic ID 2088: Address Information Won't Export
55. Forum Topic ID 1582: Importing Checkbox Values when importing leads
56. 1161356:Email - quick create date and time sent date not validated
57. 1160290: Potentials incorrectly pulls up deleted notes in related
58. Internal: Form Validation for Add Business Card
59. Internal: Single, double quotes problem in ticket comments and FAQ comments
60. Forum Topic ID 1612: Misbehaviour on validation of number fields


vtigerCRM v4.2 GA (July 18, 2005)
---------------------------------

new features
------------

  * Activity Management
  * Manage recurring events (daily/weekly/monthly/yearly)
  * Group/Shared calendar to plan meetings with vtigerCRM users without time conflicts
  * UI enhancements related to overdue tasks in Activities list view 

2. Lead Management

 * Capture leads directly from your Web site to vtigerCRM
 * Customize Online Lead Form as per your Web site requirements
 * Create mailing lists and execute E-mail marketing campaigns
 * Add multiple products to the leads
 * Customize list of the leads as per users' requirements
 * Create fully customizable lead reports
 * Lead conversion mapping for all the custom fields

3. Account & Contact Management

 * Generate quotes, sales orders, and invoices directly from the accounts and contacts 
 * Track history of all the products purchased by customers

4. Products Management

 * Create Price Books and associate products with Price Books
 * Procure products from the selected Vendors list
 * Associate Trouble Tickets and Knowledge Base articles with products
 * Ability to upload product images for easy identification

5. Sales Quotes

 * Track outstanding quotes from the quotes list view
 * Add Line Items to the quotes and update sub-total, taxes, adjustments, and grand total amounts
 * Select different prices for the same product as per customer segment
 * Create printer-friendly Sales Quotes and deliver to the prospect customers through in-built E-mail service
 * Create Sales Order or Invoice with a single click from the Sales Quote
 * Avoid duplicate work by dynamically displaying the Billing and Shipping addresses of the prospect
 * Display quotes related to accounts under the related list
 * Customize Sales Quote fields as per your organization requirements
 * Set up your company information to display your company address while creating PDF documents

6. Order Management

 * Streamline organization-wide procurement and fulfillment processes by integrated Order Management with CRM
 * Track outstanding orders from the Orders List View
 * Procure products from the available Vendors/Manufacturers/Resellers list in vtigerCRM
 * Manage up-to-date stock position by seamless integration between order fulfillment and available stock in your warehouse
 * Customize Purchase Order (PO) and Sales Order (SO) fields as per your organization requirements
 * Avoid duplicate work by dynamically displaying the Billing and Shipping addresses of the prospect while creating orders
 * Add Line Items to the Orders and update sub-total, taxes, adjustments, and grand total amounts automatically
 * Create printer-friendly Order (PO/SO) and deliver to the Vendors/Customers through in-built E-mail service
 * Once the Sales Order is confirmed create Invoice from Sales Order with a single click
 * Periodically notify the stock position to the concerned parties in your organization so that stock is always available to fulfill the outstanding orders

7. Invoices

 * Track outstanding invoices from the Invoices list view
 * Create printer-friendly Invoices and deliver to the customers through in-built E-mail service
 * Customize Invoice fields as per your organization requirements
 * Add Line Items to the Invoice and update sub-total, taxes, adjustments, and grand total amounts automatically
 * Customize Invoice fields as per your organization requirements
 * Avoid duplicate work by dynamically displaying the Billing and Shipping addresses of the customer while creating invoices
 * Associate invoices with the General Ledger account for hassle free book keeping 

8. Help Desk

 * Manage product-wise Knowledge Base articles/FAQ
 * Associate Articles with trouble tickets and products
 * Provide public access to the Knowledge Base only after approval
 * Update Articles/FAQ in vtigerCRM as based customer suggestions & comments

9. E-mail Integration

 * Configure incoming E-mail servers on per user basis. Each user can retrieve his own E-mails 
 * Fetch E-mail messages through POP and IMAP services
 * Setup multiple incoming E-mail servers 
 * Seamless integration between incoming E-mail messages and the corresponding contacts in vtigerCRM with a single click
 * Fetch incoming E-mail messages as RSS feed in RSS module
 * Send E-mail notification to the users when records are assigned to them or there is a deadline coming up
 * Ready-to use E-mail templates
 * Populate vtigerCRM user related fields in E-mail templates
 * Export E-mail messages into CSV file
 * Fetch inbound E-mails and associate to the contacts or create E-mails directly into vtigerCRM
 * Send mass E-mails to the contacts and other users

10. Other Features

 * Lead conversion feature within module access scope
 * Generate quotes and sales orders, from the potentials

bug fixes
---------

1. FORUM:1545 - Quotes, orders - working or not ? 
2. FORUM:1560 - Can not change user password & problem with ordering system
3. FORUM:5512 - In custom fields calendar, when a calendar field in created, the calendar drop down does not appear
4. FORUM:5553 - Contact with apostrophe ' in name cannot own a ticket
5. FORUM:5795 - If you change the name of admin passwords are lost !!!
6. FORUM:5810 - In contacts module Brithdate shown as 0000-00-00
7. FORUM:4501 - Error message while associating user to a group
8. FORUM:4550 - Issue related to custom drop-down list order
9. FORUM:4039- Issue with duplicating a contact
10. FORUM:4073 - Normal user with no access to the settings is anyway able to change the profile of a role.
11. FORUM:1409 - Report Export to PDF
12. FORUM:1818 - Outlook Sync applies makes Calendar appointments 2020
13. FORUM:606 File Missing: testemailtemplateusage.php 
14. FORUM:1294 - Problem with e-mail templates
15. FORUM:1050 - Subject of emails not imported - Need confirmation
16. FORUM:1276 - Converting Leads and assigning to user
17. FORUM:1270 - Bug in e-mail module
18. ORUM:1742 - Bug when assigning product from 2nd page to potential
19. FORUM:1772 - Bug: wrong date format when converting leads
20. FORUM:1559 - Tasks not working in Leads
21. FORUM: 5247 - Account search doesn't work
22. FORUM:5096 - Phone search
23. FORUM:5715 - Currency Support
24. FORUM:5795 - Roles and Passwords
25. SF1102842 - CSV import, problem with ä,ö,ü
26. SF1097215 - Mass Delete in Accounts, Contacts and Opportunities
27. SF1025603 - Phone in Task
28. SF1093989 - picklists - I18N
29. SF1090963 - wrong header caption in activities, history
30. SF1090711 - Duplicate entries in language translation
31. SF1095038 - Import Leads - No Mapping Fields
32. SF1093132 - Lead Import Fails - v3.2
33. SF1094944 - The leads dropdown list does not update
34. SF1090715 - Error on importing contacts from cvs file
35. SF1073179 - Importing .xls files but missing one of the column header
36. SF1073159 - Importing Problem
37. SF1087482 - user not deleted
38. SF1094950 - New E-mail - Error Message
39. SF1090721 - Meeting Contact - Unable to remove
40. SF 1090717 - New Note: Field Name missing
41. SF 1230595 - Custom Calendar in Tickets not working
42. SF 1221170 - Sort Notes 
43. SF 1221036 - Orders 
44. SF 1214401 - Contact birthday translation 
45. SF 1214396 - Task start date and Calendar date scrambled 
46. SF 1218633 - Phone Search not working 
47. SF 1231325 - Error with open tickets link on home page
48. Create users without associating to any of the groups
49. Non-editable user name
50. Mandatory fields checks while configuring currency fields
51. Mandatory fields checks while configuring database backup server
52. The currency symbol which is set in Currency configuration, it is not reflected in dashboard graphs.
53. Field accessibility support not provided for Potential fields

known issues
------------

1. FORUM:1816 - Outlook Plugin error in Outlook
2. FORUM:1818 - Outlook Sync applies makes Calendar appointments 2020
3. FORUM:1293 - Leads have disappeared - We turned off Leads for all users in the Sales profile.
Now we have turned them back on in Settings and they still don't appear.
When have restarted the server to completely restart all services just in case but that didn't fix it. Any ideas?
4. FORUM:1752 - Bug: Decimals lost in custom currency fields in products
5. FORUM:1831- Import Error CSV Leads (File size more than 2MB cannot be imported)
6. PDF report overlaps if the number of columns are more than the paper size and last few columns are hidden
7. While creating a new event from Ticket related list, ticket name is not displayed under Activity page
8. In Products related Price Book if edit link will point to Price Book edit view instead of Edit product list price
9. If an event is assigned to Group then in the users list the group members name is displayed
10. If an event is assigned to a team, if the team name is empty then also the event is being saved
11. In Lead Conversion, the type of custom field is not taken into consideration
12. If any of the events associated with recurring event is closed, all the related recurring events are also closed 
13. In Reports, The Date fields in "Filter Options" will not be retained after clicking the 'Apply Filter' button
14. When a New Sales Order, Purchase Order, Invoice and Quotes are created from a Product Detail View, Account Name and Potential Name will not be populated.
15. In a Product Detail View if 'Add to Price Book' hyperlink is clicked and if no Price Book is present in the list, and if 'Add to Product' is selected, vtiger Home page will be displayed. 
16. While generating reports the fields selected in 'Columns to Total' will not be displayed.

limitations
-----------

1. Security is not implemented for Reports and Dashboards.
2. GIF images are not supported while generating PDF documents such as Quotes,Orders and Invoice.

NOTE: For more details about vtigerCRM v4.2 Release Notes, Please refer to the following URL:
http://www.vtiger.com/wiki/index.php/Vtiger_CRM_4_2_Release_Notes
 
 
vtigerCRM v4.2 Alpha (May 31, 2005)
-----------------------------------

new features
------------

1. Quotes module
2. Order Management module (Purchase Orders & Sales Orders)
3. Invoices module
4. Price Books 
5. Vendor/Suppliers Management
6. Customizable Reports
7. Customizable List Views
8. Customer Self-service Portal
9. RSS module
10. Event Reminders
11. Configurable Email Notifications
12. Incoming Email Support


vtigerCRM v4.0.1 (April 29, 2005)
---------------------------------

new features
------------

1) Default Organisation Fields - Fields that are not needed can be made hidden across the organisation. 
2) Multiple Date format support.
3) Currency Support.
4) Customer Portal Beta Release - as an add on.

bug fixes
---------

1) When time like '1:00' is given as input in new event, instead of '01:00', an expection will be thrown in the calendar
2) Php warning fixes - contributed by joduba.
3) 'Sales Stage' column empty in Potentials table for Contacts and Accounts Detail view.
4) Calendar icons not working in homepage in my pipline chart.
5) Delete confirmation for notes and attachments in all modules Related list.
6) Select Contact from Popup after navigation throws exception.
7) Duplicate entry in Notes listview, when created from Ticket Module.
8) Added 'Contact' in HelpDesk List View.
9) Issue in Description Update across modules when saved during edition.
10) Problem in Notes Update, when no attachment is given.
11) When a Custom field contains space, export query fails.
12) Intialising 'log_sql' variable in config.php - php warning fix
13) Show tickets in Detailview / Related listof contacts.
14) In Help Desk search 'Status' & 'Priority' given as combo.
15) Note Title should not be unique.
16) Problem in importing more than 1000 records.
17) In Email template big text is not supported
18) Paragraph support in email template
19) Amount size entry should be increased in Potentials (increase the digits)
20) Duplicate Email template entry when editing a template.
21) Notes and Attachment title/description display in related list
22) When selected a username in the popup window after search from Activity/Email Detail View an exception is thrown.
23) After email export, the body field in document is empty.
24) Problem in HelpDesk Search based on Created Date.
25) When assigned, Contact Salutation type in email template, and used in select email template, salutation type is empty.
26) Sorted by 'Contact' in Ticket List View.
27) Title field not validated when creating a new ticket
28) My Account' link in login page throws exception
29) Usename/creator will shown in all events in Calendar
30) In Account Advance Search 'State' field empty after giving a value to search.
31) In Home Page my groups all the group entities are displayed
32) In Home Page My Activities, the Activity Link is not working.
33) The Group Name link is the User Detail View not working.
34) Email fiele length in accounts table modified from 30 to 100
35) Check Box custom field Search not working
36) Product search fields are interchaged between Basic and Advanced.
commision rate & Qty/Unit -- Moved from Basic to Advanced.
Manufacturer & category -- Moved from Advanced to Basic.
37) Improper Link issue in Popup after search.
38) In Home Page My Tickets - Related to Contacts link are not working.
39) Unwanted includes in Calendar Removed
40) Sorting of Potentials in Home Page(Amount in Descending order)
41) Login History - improper login/logout time
42) Email Form Validation
43) Pipleline total not getting updated.
44) In Email List View displaying of Contact Issue.
45) Enabling Status for Call and Meetings.
46) Removing Notes, Products from Default Organisation Sharing.
47) Populating modified time during entity creation.
48) Edit and Duplicate of Attachments not working.
49) Displaying of Closed Ticket in Home Page.
50) Deleted entities are getting listed in Tracker.
51) Enabling History tabs in Leads, Contacts, Accounts and Potentials for Activity History.


vtigerCRM v4.0 (March 29, 2005)
--------------------------------

new features
------------

A. General

1. Database layer is redesigned for a better data integrity
2. Multiple database support for MySQL, Oracle, MSSQL, and Postgres through ADOdb (We have tested in MySQL and Oracle only)   
3. Microsoft Office Plug-in to create mail merge templates in Microsoft Word and create on-the-fly documents with customer specific data in vtigerCRM
4. Mozilla Thunderbird Plug-in to add E-mail messages and addresses from Thunderbird to vtigerCRM
5. E-mail notifications to vtigerCRM users as well as customers instantly as well as periodically
6. Search enabled for all the fields (including custom fields) in various modules
7. Database migration from version 3.2 to version 4
8. Accessories, such as World Clock and Calculator

B. Lead Management

1. Filter leads list in Leads home page based on lead status
2. Change leads owner in bulk
3. Export Leads into Spreadsheet programs

C. Account Management

1. Filter accounts list in Accounts home page based on type of the account
2. Delete accounts in bulk
3. Change accounts owner in bulk

D. Contact Management

1. Delete contacts in bulk
2. Change contacts owner in bulk
3. Create mail merge documents for contacts   

E. Opportunity Management

1. Notification of Big deals to the specific users/non users
2. Filter opportunities list in Opportunities home page based on the sales stage
3. Delete opportunities in bulk

F. Help desk

1. Automatically generate ticket ID while creating trouble tickets
2. Filter trouble tickets list in Help desk home page based on the priority of the ticket
3. Add/Modify custom fields in Help desk

G. Products

1. Enhanced the standard fields based on users feedback
2. Add/Modify custom fields in Products

H. Activity Management

1. All the activities (Tasks, Calls, and Meetings) can be managed in a Activities module 
2. Calendar user interface is enhanced, with a small calendar in Home page
3. Synchronize calendar records with Microsoft Outlook  

I. Studio:

1. Add custom fields in Helpdesk and Products modules
2. Modify the custom pick list values in all the modules
3. Custom objects for URL and boolean types
4. Enhanced user interface for product customization 
	
J. Communication Templates:

1. Mail Merge Templates to create on-the-fly Microsoft Word documents based on customer data
2. Canned E-mail Notifications through Linux Cron Job/Window Scheduler:

K. Security Management

1. Manage Profiles and associate to the roles
2. Module level access control list for profiles
3. Field level access control list for profiles
4. Organization level record sharing model
5. User management from Settings module

L. System Administration

1. Outgoing Email server configuration
2. Database backup server configuration

We have also provided the following features requested in Sourceforge.net and vtiger Discussions:

SourceForge

1. 1157343: Custom fields for tickets
2. 1108850:  Mozilla Thunderbird (Non-MS Outlook) Plugin
3. 1069886: PostgreSQL Support
4. 1050500: HelpDesk or Trouble ticketing

vtiger Discussions

1. RC1 - Leads : Sorting Lead List - by eberled
2. Database management (database backup) - by eberled and ITPM
3. Enable/Disable Import/Export features according to the user's profile - by bwoo and fredy
4. Small Calendar in Home page
5. Department instead of Account in Contact list - by joduba
6. Delete contacts in bulk - by david and Bez
7. Delete users - by Jim
8. ACL on data - Stefano
9. Groups and user level security - by Jay McDonald

Note:
* We have tested vtigerCRM v4.0 in MySQL and Oracle database software. Though we didn't tested in other database software, we feel it should work.
* Cases Module is phased out (Help desk module take care of all the customer support related features)
* Opportunities module is renamed as Potentials
* Tasks, Calls and, Meetings modules are phased out (Activities module take care of all the tasks and events related features)

bug fixes
---------

We have fixed the following issues reported in Sourceforge.net and vtiger Discussions:

SourceForge.net

1. 1087474: suggestion
2. 1169597: Tab Order in data entry is inconvenient
3. 1158945: Cancel button behavior 2
4. 1158943: Cancel button behavior
5. 1161346: RC1 - Custom field Date not working
6. 1157577: Account View -- Contact Name
7. 1158932: RC1- Need "Select Product" on Potentials
8. 1158934: RC1 - Need select multiple products on Activities
9. 1158934:  RC1 - Need select multiple products on Activities - Richie Please check it is promised in sf.net
10. 1160628: Deleted tickets are still visible in the account overview
11. 1160522: minor issues in RC 1
12. 1157581: BusinessCard.php
13. 1158473: double $contact_id definition in modules/Calendar/UserCalend
14. 1157587: website character needs to be longer
15. 1157583: redirection limit for url exceeded
16. 1156560: Single quotation mark not handled when creating new note
17. 1069310: Time out during contact import
18. 1156463: Outlook Plug-in Error: wrong encryption string
19. 1111432: Meetings get duplicated views after editing
20. 1152457: V3.2 Log-In Recognition
21. 1151958: Leads "Change Status" button doesn't work
22. 1151793: Editing lead errors
23. 1145907: exporting xls to leads -
24. 1087484: user deleted problem
25. 1122448: export of opportunities
26. 1122446: upload file size hardwired
27. 1119621: PHP Error when cancelling editing of a ticket
28. 1116923: Custom contacts import fails if no last name specified
29. 1116919: CVS Import bombs when data contain single quote
30. 1032651: New Attachment - Error message

vtiger Discussions
 
1. Displaying the corresponding lead in Meeting/Call/Task modules
2. Activity - missing confirmation on deleting activities - by fredy
3. RC1 - Potentials "Only my items" not working - by eberled
4. RC1 - Potentials sorting tables returns an error - by eberled
5. RC1 Helpdesk - 'Assigned to' vs. 'Group' - by eberled
6. RC1 - Helpdesk: Changing a ticket doesn't work - by eberled
7. RC1- Homepage / Helpdesk : all tickets are listed - by eberled
8. RC1 - Helpdesk : Account and Contact Name - by eberled
9. RC1- Settings: Communication Templates - by eberled
10. Unable to tab - by 829
11. Email to Contacts and Mass Mail - by Jay
12. blank.gif doesnt display - by timb
13. RC1 - Product commission rate needs decimal field -by dchaffee
14. RC1 - Potentials sorting tables returns an error - by eberled 
15. Bugs in table insert statements during a new installation - by pab63
16. RC1 - Selecting a contact shows only name and no firstname - by eberled
17. Problem installing on subdomain - by cyberox
18. help desk trouble ticket - by 829
19. RC1 - Admin-Page: Empty Link in top right corner - by eberled
20. RC1 - Admin Page: Wrong mail server password shown - by eberled
21. RC1 - Admin : Creating User ( input field tab order) -by eberled 
22. Accentuated characters - by bigtime
23. Can't create new leads, contacts, accounts - by Peter - 
24. RC1 - Admin : Show users related to a group not working - by eberled
25. RC1 - Account : Description Information - by eberled
26. RC1- Accounts : Searching for - by eberled
27. RC1 - Leads : Input field tab order - by eberled
28. RC1 - Leads : Input field for postalcode to large - by eberled
29. vtiger DIscussions: RC1 - Accounts : Please show first name under contacts - by eberled
30. RC1 - Contacts: Notes not created using 'Add buisness Card' - by eberled
31. RC1 - Contacts : Advanced search - by eberled
32. RC1 - Potentials: Expected Close Date - by eberled
33. RC1 - Helpdesk : Searching - by eberled
34. RC1 - Helpdesk : Searching II - by eberled
35. RC1 - Accounts Detailview : empty 'Last modified date' - by eberled
36. Problems with Thunderbird plugin - by mike
37. vTiger CRM 4 (RC1) - Save Record Failure -
38. User withread-only access to the contacts. However this user can easily 'mass delete' all contacts.
39. Unable to install Outlook plugin 4 RC 1 - by Christian
40. RC1 Thunderbird plugin doesn\'t work
41. Calculator bug - by 829
42. Outlook Plugin Issues (outlook 2003) - by adrian
43. vtiger Outlook Plugin 4.0.1 beta Release - by adrian
44. CRM 4 RC1 problem or not? - 
45. Problem installing RC1 - by stelaix
46. Install Errors in step 5 - by pab
47. Some Contact fields not synching - by Tareef
48. vtiger v4 - How do you add a manufacturer? - 
49. Contacts in vtiger Outlook related - Maarten
50. RC1 - Product search to include Category, Manufacturer - by dchaffee
51. RC1 - Products - No way to update product category field - by dchaffee
52. Product commission rate needs decimal field - by dchaffee
53. RC1 - New Notes for Tickets - by nuguid
54. RC1 - Settings: Picklist - by eberled
55. RC1- Settings : Helpdesk Picklist doesn't work - by eberled
56. RC1 - Setting : Picklist values for Sales Stages - by eberled
57. RC1 - Home : My Group Allocation - by eberled
58. RC1 - Page Admin - by eberled

known issues
------------

1. 1111896: Outlook raises a security alert when adding email with vtiger Outlook Plug-in
2. In Windowos OS, System Inoformantion is not displayed
3. While importing leads, accounts, contacts, and potentials the XLS file format can be browsed even though the allowed file format is CSV.
 
 
vtigerCRM v4.0 Beta (January 10, 2005)
-------------------------------------

new features
------------

1. Help Desk module to handle trouble tickets, Frequently Asked Questions and Support Statistics
2. Products module to add company wide products related information at a centralized location
3. Mail merge Templates
4. Sending Mass E-mails to contacts
5. Delete attachments
6. Add/Sync Email attachments using vtiger Outlook Plug-in from Microsoft(R) Outlook(R) to vtigerCRM
7. Add/Sync tasks using vtiger Outlook Plug-in from Microsoft(R) Outlook(R) to vtigerCRM
8. Creating Groups and assigning users to groups
9. Assigning leads/tickets to groups/individuals
10. New theme 'Blue' has been added

issues fixed
------------

We have fixed the following issues reported in Sourceforge.net:

1. 1093648 - Attachment contains extra footer
2. 1097245 - Email Field in Leads - 25 chars
3. 1093120 - User name doesn't appear in meetings
4. 1090718 - Meeting User - Unable to remove
5. 1092763 - Meeting attendee list does not list user's Name
6. 1094922 - New Attachment - Error Message
7. 1089207 - problem in emails
8. 1089136 - need attachment
9. 1037521 - Attachment/Import - Error message
10. 1032707 - Unable to view/Save the Attachments
11. 1019074 - handle mysql data
12. 1028989 - Print Problem
13. 1085617 - Wrong focus after deleting cases/contacts/opportunities
14. 1089627 - Problem with vtiger. 25 Character email limit
15. 1090721 - Meeting Contact - Unable to remove
16. 1090279 - Export Custom Fields - Not working
17. 1098475: Contacts: Field TITLE is too short
18. 1093669 - Delete attachments
19. Support for Latest versions of Apache and MySQL in installation wizard (Both Linux and Windows).


vtigerCRM v3.2.1 (December 21, 2004)
------------------------------------

new features
------------

1. Basic Calendar support
2. German and Dutch Languages Support

issues fixed
------------

a) Duration minutes in calls not getting saved when a new call is created is fixed. 
b) On deleting any entity, the Leads List View page getting displayed is fixed. 
c) Internationalisation support for Custom Fields provided. 
d) Internationalistaion support for Pick List Value Customization provided. 
e) Quick create form is getting displayed now. 
f) Empty Line Space appearing between the heading and List view table in module Lead and MessageBoard is fixed 
g) Proper Message display is done when a user with no delete privileges tries to delete the entity.
h) vtiger Outlook Plug-in in server side fixes related to performance improvement.


vtigerCRM v3.2 (December 13, 2004)
----------------------------------

new features
------------

a) Custom Field Support 
b) Security Support 
c) Migration from 3.0 to 3.2 


vtigerCRM v3.0 (November 8, 2004)
------------------------------

new features
------------

a) Support for accessing vtigerCRM server from Microsoft Outlook behind Proxy settings
b) Synchronize customer specific tasks in between Microsft Outlook and vtigerCRM.
c) Integrated Message Boards with vtigerCRM, which can be used to share customer knowledge among CRM service users.


vtigerCRM v3.0 Beta (October 7, 2004)
-------------------------------------

new features
------------

Released vtiger Outlook Plug-in, business productivity enhancement utility for Microsoft Outlook users.
It is an open source project covered under vtiger Public License 1.0 based on Mozilla Public License 1.1.


vtigerCRM v2.0 (September 6, 2004)
----------------------------------

new features
------------

a) DRAG and DROP of the tabs
This was achieved after working for quite a long time in the labs, not to
mention many sleepless nights.
By using this feature, you can customize the tabs that you want to work with.
Do let us know what you feel about it.

b) Lead Management

Sales reps can create leads and initiate the CRM cycle.
We have tried to incorporate all the required features during this short period.
Do let us know if you would like to see some more features.

c) Import Leads from External Sources

Sales reps can import leads to vtigerCRM from external sources, such as Microsoft Outlook, 
ACT, GoldMine, and others in *.XLS file format. This feature eliminates the manual
data entry and enhances the Sales rep's productivity.

d) Attach Files

Sales reps can attach sales-related materials, such as marketing collaterals, presentations,
price quotes, and others, so that they can instantly access the related documents while 
dealing with leads/opportunities, accounts, and contacts.

Send your feedback, which is vital for our understanding your needs.


vtigerCRM v1.0 (August 26, 2004)
--------------------------------

features
--------

We have incorporated the following features in this release based on SugarCRM.

* Opportunities
vtiger.Sales provides a complete, yet easy-to-use Opportunities module. From deal size to each contact's role,
from listing the competitors to tracking the lead source, sales reps can easily manage each sales opportunity to completion.

* Accounts & Contacts
With the Accounts & Contacts module, you can easily enter and update key account and contact information.
Tracking and staying in touch with your customers is simply a click away.

* Activity & Task Management
Managing your customer interactions is at the heart of a sales automation application.
vtiger.Sales provides a simple and clean set of tools for quickly tracking tasks, phone calls, emails and meetings.

* Notes & Attachments
Easily keep notes on every contact, opportunity or account. 

* Home Screen
Focus on the right activities with a quick view of your top opportunities, pipeline, today's appointments and task list.

* Dashboard
A picture is always worth a thousand words.  With the dashboard module, you can graphically view how your opportunities  breakdown by sales stage or industry.

* Administration
Easily manage all the users in the system, their passwords, user interface themes and more.

